CUDA_MEMCPY3D(3)

NAME
CUDA_MEMCPY3D -

SYNOPSIS

  Data Fields

CUarray dstArray
CUdeviceptr dstDevice
size_t dstHeight
void * dstHost
CUmemorytype dstMemoryType
size_t dstPitch
size_t dstXInBytes
void * reserved0
void * reserved1
CUarray srcArray
CUdeviceptr srcDevice
size_t srcHeight
const void * srcHost
CUmemorytype srcMemoryType
size_t srcPitch
size_t srcXInBytes
size_t WidthInBytes

Detailed Description

3D memory copy parameters

Field Documentation

  CUarray CUDA_MEMCPY3D::dstArray

Destination array reference

  CUdeviceptr CUDA_MEMCPY3D::dstDevice

Destination device pointer

  size_t CUDA_MEMCPY3D::dstHeight

Destination height (ignored when dst is array; may be 0 if Depth==1)

  void* CUDA_MEMCPY3D::dstHost

Destination host pointer

  CUmemorytype CUDA_MEMCPY3D::dstMemoryType

Destination memory type (host, device, array)

  size_t CUDA_MEMCPY3D::dstPitch

Destination pitch (ignored when dst is array)

  size_t CUDA_MEMCPY3D::dstXInBytes

Destination X in bytes

  void* CUDA_MEMCPY3D::reserved0

Must be NULL

  void* CUDA_MEMCPY3D::reserved1

Must be NULL

  CUarray CUDA_MEMCPY3D::srcArray

Source array reference

  CUdeviceptr CUDA_MEMCPY3D::srcDevice

Source device pointer

  size_t CUDA_MEMCPY3D::srcHeight

Source height (ignored when src is array; may be 0 if Depth==1)

  const void* CUDA_MEMCPY3D::srcHost

Source host pointer

  CUmemorytype CUDA_MEMCPY3D::srcMemoryType

Source memory type (host, device, array)

  size_t CUDA_MEMCPY3D::srcPitch

Source pitch (ignored when src is array)

  size_t CUDA_MEMCPY3D::srcXInBytes

Source X in bytes

  size_t CUDA_MEMCPY3D::WidthInBytes

Width of 3D memory copy in bytes

Author

Generated automatically by Doxygen from the source code.